Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class FileDocument

    java.lang.Object
      |
      +--com.bea.p13n.content.document.ref.FileDocument

All Implemented Interfaces:
  DocumentDef

public class FileDocument
extends Object
implements DocumentDef

A concreate implementation of a document which uses a file.

Field Summary
`protected File` | `file` Deprecated. The file object we read from.

Constructor Summary
`FileDocument(File file)` Deprecated. Constructor.

Method Summary
`byte[]` | `getBytes()` Deprecated. Get the bytes of the file.
`File` | `getFile()` Deprecated. Get the file used.
`InputStream` | `openStream()` Deprecated. Open a sream to the bytes of the file.
`void` | `setFile(File file)` Deprecated. Set the file used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file

    protected File file

  Deprecated.
  The file object we read from.

Constructor Detail

### FileDocument

    public FileDocument(File file)

  Deprecated.
  Constructor.

Method Detail

### getFile

    public File getFile()

  Deprecated.
  Get the file used.

### setFile

    public void setFile(File file)

  Deprecated.
  Set the file used.

### getBytes

    public byte[] getBytes()
                    throws DocumentException

  Deprecated.
  Get the bytes of the file.

  Specified by:
    `getBytes` in interface `DocumentDef`
  Returns:
    the raw bytes of the document.
  Throws:
    `DocumentException` - thrown on an error.

### openStream

    public InputStream openStream()
                           throws DocumentException

  Deprecated.
  Open a sream to the bytes of the file.

  Specified by:
    `openStream` in interface `DocumentDef`
  Returns:
    an input stream to the bytes.
  Throws:
    `DocumentException` - thrown on an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved